Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenRuleTarget

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenAuditable, GenAuditedMetricTarget, GenDiagramElementTarget, GenDomainAttributeTarget, GenDomainElementTarget, GenMeasurable, GenNotationElementTarget

All Known Implementing Classes:
  GenAuditableImpl, GenAuditedMetricTargetImpl, GenDiagramElementTargetImpl, GenDomainAttributeTargetImpl, GenDomainElementTargetImpl, GenNotationElementTargetImpl

    public interface GenRuleTarget

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Rule Target'. The target against which a rule can be evaluated

See Also:
  `GMFGenPackage.getGenRuleTarget()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenClassifier` `getContext()` Gets the classifier to be used as this rule target evaluation context

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContext

    org.eclipse.emf.codegen.ecore.genmodel.GenClassifier getContext()

  Gets the classifier to be used as this rule target evaluation context

  ** Generated **
  Model:
    kind="operation" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.